Announcement

Collapse
No announcement yet.

AMD's UVD2-based XvBA Finally Does Something On Linux

Collapse
X
 
  • Filter
  • Time
  • Show
Clear All
new posts

  • Originally posted by DivineGrace View Post
    I just tested the newest xvba-video-0.7.4-1 with a mobile HD2600 and it works flawlessly!
    Interesting, someone with an HD2400PRO (RV610) tried but reported problems, i.e. crashes. Likewise for a huge FireGL (HD3870, RV610 core) I found around. So, your RV630 still works. Great thing.

    Comment


    • Originally posted by DivineGrace View Post
      Libva seems to load without any problems; same with fglrx.
      That looks similar to the output of my radeon hd 5000 series card.
      Exactly what type of card are you using there?
      Someone reported to me that vaapi_h264 --getimage --getimage-format yv12 works on HD 5450. So, this means vaGetImage(), and thus chances are that could work with VLC too. I can't try myself, we no longer have any working HD 5000 series chip. The vaPutSurface() path may still be broken though.

      Comment


      • Wow, i thought that will never happen and did not test vlc after testing the still broken mplayer. But you are right, vlc works with 10-9!

        Comment


        • Evergreen works with XvBA now?

          Comment


          • My 5670 works with vlc.

            Comment


            • Damn now that I switched to open drivers they decided to fix it . I can't test it myself because I'm on xserver 1.9. But is it really stable solution for video playback now? Like no lockups, spontaneous reboots and all that other funny shit that fglrx has pulled in the past...

              Comment


              • It's on my benchmark box only. Did only try samples no full movie. But xserver 1.9 should be a solveable problem in the next month. It is like always, ati devs do not fix something before they get really pressure. Ubuntu needs Xserver 1.9 support for 10.10 and that will be the first driver to support it, not even 1 driver release before.

                Comment


                • @monraaf

                  Time has come already it seems It's in the U repository now the xserver 1.9 part (i would prefer a dl link for the full installer however for my script). Can be patched like 10-9 for newer kernels.

                  http://archive.ubuntu.com/ubuntu/poo...80.orig.tar.gz

                  Comment


                  • kano, what do you do to run VLC with xvba?

                    Comment


                    • Well maverick has got vaapi enabled vlc in the repository directly, but i used

                      http://kanotix.com/files/fix/mplayer-vaapi-latest.txt

                      to globally install an "older" libva and then

                      http://kanotix.com/files/fix/vlc-vaapi-local.tx

                      as root + user (i ususally clean ~/dist before a new run). My test was done with Kanotix Hellfire based on squeeze + kernel 2.6.36rc5. 10-9 driver installed with

                      http://kanotix.com/files/install-fglrx-debian.sh

                      (use -z option first then reboot)

                      Comment

                      Working...
                      X